import { APIGatewayProxyEvent, APIGatewayProxyResult } from 'aws-lambda';
import { WsApiAction, WsApiRequest, WsApiResponse, WsApiRouteHandler } from '../types';
export declare class WsApi {
    private readonly routeHandlers;
    addRouteHandler<Action extends WsApiAction, Request extends WsApiRequest<Action>, Response extends WsApiResponse>(routeHandler: WsApiRouteHandler<Action, Request, Response>): this;
    handleRequest(event: APIGatewayProxyEvent): Promise<APIGatewayProxyResult>;
}
//# sourceMappingURL=WsApi.d.ts.map